local mHud = LibStub("AceAddon-3.0"):GetAddon("mHud")
if not mHud then return end
local L = LibStub("AceLocale-3.0"):NewLocale("mHud:Configuration", "enUS", true)

if not L then return end

L['TOPLEFT'] = true
L['TOP'] = true
L['TOPRIGHT'] = true
L['LEFT'] = true
L['CENTER'] = true
L['RIGHT'] = true
L['BOTTOMLEFT'] = true
L['BOTTOM'] = true
L['BOTTOMRIGHT'] = true

L['Rotation0'] = "None"
L['Rotation90'] = "90 deg"
L['Rotation180'] = "180 deg"
L['Rotation270'] = "270 deg"

L['Config not loaded'] = "Configuration failed to load."
L['Load menu'] = true

L['Bar'] = true

L['Home'] = true
L['Bars'] = true
L['Skins'] = true
L['Modules'] = true
L['Handlers'] = true
L['Profiles'] = true

L["Welcome"] = true
L["Welcome to mHud"] = true
L["Welcome Desc1"] = "Descr how to configure etc. (to be updated)"
L["Welcome Desc2"] = "+++"

L["Help out?"] = "Would you like to help out?"
L["Help out Desc1"] = "Do you have comments or things to add to the wish list? In your mHud addon directory you will find a ReadMe.txt file containing a link to the official forum post.\n\nAll feedback are welcome!\n\nThank you :)\n~Merl"


L["Global settings"] = true	
L["Display Help"] = "Display help description"
L["Display Help Desc"] = "If you consider yourself an experienced user, you can disable descriptions:"

L["Edit mode"] = true
L["Edit mode Desc"] = "Edit mode makes all bars visible and loops bars to make it easy for you to visualize how you want your layout."
L["Combat mode"] = "Simulate combat"
L["Combat mode Desc"] = "Some aspects change depending on your combat status, this option lets you simulate in/out of combat of your edit mode."	
L["Drag Mode"] = true
L["Drag Mode Desc"] = "Drag mode lets you drag your bars and other objects around. Hold the mouse over a bar to display the anchors. By dragging a corner or a side, you scale the bar."

L["Drag Mode Desc2"] = "If one bar frame is behind another frame, move the mouse over the center (red) to bring the frame behind to the front."
L["Drag Mode Desc3"] = "Note: If the the frame isn't anchored to CENTER-CENTER UIParent, you might get different results than what you expect."

L["Reset Profile"] = true
L["Reset Profile Desc"] = "Reset the current profile to the default"

L["Bar configuration"] = true
L["Bar configuration Desc1"] = "This sub menu enables you to configure each individual bar or copying settings between them."
L["Bar configuration Desc2"] = "Can't find the bars? Use the (+) symbol to the left of 'Bars'"
L["Bar configuration Desc3"] = "If you want to do the same change to several bars at once, use the 'Bulk copy'. Be warned to, there isn't any configuration history, so if you go wrong, it might take some time undoing it."
L["Bar new"] = "Create new bar"
L["Bar new Desc"] = "Need more bars? Add a new one: "

L["Bulk copy"] = true

L["Copy from"] = true

L["Unit"] = true
L["Type"] = true
L["Remove Bar"] = "Remove this bar"
L["Remove Bar Confirm"] = "This will remove the bar totally."
L["Bar Desc1"] = "For more settings, use the tree to the left."
L["Bar Desc2"] = "Use 'Bulk copy' under all the bars if you wish to duplicate settings from one bar to one or several others."

L["Size & Position"] = true
L["Width"] = true
L["Height"] = true
L["Offset X"] = "X Position"
L["Offset Y"] = "Y Position"
L["Frame level"] = true
L["Anchor"] = true
L["Anchor to"] = true
L["Anchor point"] = true
L["Anchor relative"] = true

L["Look & Feel"] = true
L["Texture"] = true
L["Texture Desc1"] = "There are two ways to choose a texture. To the left you have a selection box, and to the right you can specify an absolute path, thats for 'experts' only ;)"
L["Texture path"] = true

L["Bar Rotation Desc1"] = "Bar rotation 0 deg, gives you a bar that grows from left towards right. Default is 275 deg."
L["Bar Rotation"] = true
L["Texture Rotation Desc1"] = "Texture rotation allows you to rotate the texture independent of the bars rotation."
L["Texture Rotation"] = true
L["Texture Flip Desc1"] = "Texture Flip lets you mirror the texture, not the bar, use Bar rotation for that."
L["Texture Flip"] = "Flip Texture"
L["Texture Mirror"] = "Mirror texture"

L["Copy Select Bars"] = "Select bars to copy to:"
L["Copy Attributes Bars"] = "Select attributes to copy:"
L["Copy"] = true

L["No description"] = true
L["Skin Change To"] = "Change to"
L["Skin Confirm Change"] = "This will reset your current profile, are you sure you want to continue?"

L["Modules Note1"] = "Note: When disabling a module you need to reload the user interface to fully disable the module. Re-enabling should work as intended."
