local mHud = LibStub("AceAddon-3.0"):GetAddon("mHud")
if not mHud or not mHud:GetModule("Configuration", true) then return end
local barConfig = [[ return function(db, id, self)
		local mHud = LibStub("AceAddon-3.0"):GetAddon("mHud")

		local t =  {
			background = {
				type = "group",
				order = 80,
				name = "Background",
				childGroups = "tab",
	 			plugins = {},
				args = {
					bgalphaspace1 = { order = 170, type = "header", name = "Background" },
				},
			},
		}
		
		
		t.background.args.backgroundtoggle = {
			type = "toggle",
			name = "Use Background",
			order = 171,
			get = function() return db.background.active end,
			set = function(info, value) db.background.active = value; self:UpdateConfig(id) end,
		}
		
		t.background.args.backgroundspace = { order = 172, type = "description", name = " " }
		
		
		if mHud:GetModule("GradientColor", true) then
			t.background.args.bgcolornormal = {
				type = "select",
				name = "Colors - Normal",
				order = 173,
				values = mHud.mColorTemplateConfig:List(2, "Normal"),
				get = function() return db.background.gradientColor end,
				set = function(info, value) db.background.gradientColor = value; self:UpdateConfig(id) end,
				disabled = function() return not db.background.active end,
			}
			t.background.args.bgcolorcombat = {
				type = "select",
				name = "Colors - Combat",
				order = 174,
				values = mHud.mColorTemplateConfig:List(2, "Combat", true),
				get = function() return db.background.gradientColorCombat or "nil" end,
				set = function(info, value) db.background.gradientColorCombat = value; if value == "nil" then db.background.gradientColorCombat = nil end; self:UpdateConfig(id) end,
				disabled = function() return not db.background.active end,
			}
		end
		
		if mHud:GetModule("GradientAlpha", true) then
			t.background.args.bgalphanormal = {
				type = "select",
				name = "Alpha - Normal",
				order = 175,
				values = mHud.mAlphaTemplateConfig:List(2, "Normal"),
				get = function() return db.background.gradientAlpha end,
				set = function(info, value) db.background.gradientAlpha = value; self:UpdateConfig(id) end,
				disabled = function() return not db.background.active end,
			}
			t.background.args.bgalphacombat = {
				type = "select",
				name = "Alpha - Combat",
				order = 176,
				values = mHud.mAlphaTemplateConfig:List(2, "Combat", true),
				get = function() return db.background.gradientAlphaCombat or "nil" end,
				set = function(info, value) db.background.gradientAlphaCombat = value; if value == "nil" then db.background.gradientAlphaCombat = nil end; self:UpdateConfig(id) end,
				disabled = function() return not db.background.active end,
			}
		end
		
		return t
		end]]
local bulkConfig = nil
local moduleConfig = nil
mHud:GetModule("Configuration"):NewModuleConfig("Background", moduleConfig, barConfig, bulkConfig)
