local mBar = LibStub("AceAddon-3.0"):GetAddon("mBar")
local module = mBar:NewModule("Health")
module.events = {"UNIT_HEALTH"}

module.colorTemplates = {
	Normal = {
		Health = {
			[1] = { v = 1.0, c = { r = 0.00, g = 1.00, b = 0.00 }},
			[2] = {	v = 0.5, c = { r = 1.00, g = 1.00, b = 0.00 }},
			[3] = {	v = 0.2, c = { r = 1.00, g = 0.00, b = 0.00 }},
			[4] = { v = 0.0, c = { r = 1.00, g = 0.00, b = 0.00 }},
		},
	},
}

function module:GetUnitValue(unit)

	if UnitHealthMax(unit) > 0 then return UnitHealth(unit) / UnitHealthMax(unit) end
	return 0
	
end

function module:GetUnitMax(unit)
	return UnitHealthMax(unit)
end

function module:GetColor(f) return 0, 1, 0 end -- Default color
