local mHud = LibStub("AceAddon-3.0"):GetAddon("mHud")
local skin = mHud.skin:NewModule("dArch")

skin.description = {
	Default = "This is the skin earlier called dArcFancy.",
}

skin.defaults = {
	bar = {
		['*'] = {
		
			type = "Health",
			unit = "player",
			
			offsetX = 0,
			offsetY = 0,
			
			height = 250,
			width = 150,
			
			texture = "dArch",
			
			frame = { active = false },
			
			anchor = {
				to = "UIParent", -- default hpbar
				point = "CENTER",
				relative = "CENTER",
			},
			
			text = {
				
			},
			
			
		}
	}
}

skin.profiles = {

	Default = {
		{
			active = true,
			type = "Health",
			unit = "player",
			
			offsetX = -100,
			offsetY = 30,
			
			text = {
				{
					tag = "[CurHP]",
					
					offsetX = -125,
					offsetY = 0,
					
					anchor = {
						to = 1, -- default hpbar
						point = "RIGHT",
						relative = "RIGHT",
					},
				}
			},
		},
		{
			active = true,
			type = "Power",
			unit = "player",
			
			offsetX = 100,
			offsetY = 30,
			
			textureMirror = true,
			
			text = {
				{
					tag = "[CurMP]",
					
					offsetX = 125,
					offsetY = 0,
					
					anchor = {
						to = 2, -- default manabar
						point = "LEFT",
						relative = "LEFT",
					},
				},
			},
			
		},
		{
			active = true,
			type = "ComboPoint",
			unit = "player",
			
			width = 105,
			height = 120,
			
			textureMirror = true,
			
			texture = "dArcCombo",
			
			anchor = {
				to = 2, -- default manabar
				point = "TOPRIGHT",
				relative = "TOPRIGHT",
			},
			
		},
	},


}